--- title: "Get Object Storage bucket list" slug: "devtools-sourcedeploy-objectstoragebucketlist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-objectstoragebucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Object Storage bucket list Available in Classic and VPC Get the list of available Object Storage buckets. Note To get the bucket list, you must first create a bucket in the Object Storage service. See the following for how to create a bucket. - Create from NAVER Cloud Platform console: See [Object Storage User Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). - Create using API: See [Object Storage API Guide](/docs/en/storage-objectstorage). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/objectstorage/bucket | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/objectstorage/bucket' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.bucketList` | Array | - | Bucket list: [bucketList](/docs/en/devtools-sourcedeploy-objectstoragebucketlist#bucketList) | #### `bucketList` The following describes `bucketList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Object Storage bucket name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "bucketList": [ { "name": "datastorage", "permission": "Allow", "actionName": "View/getBucketDetail" }, { "name": "devtool", "permission": "Allow", "actionName": "View/getBucketDetail" } ] } } ```